#include <LPC214X.H>
#include "pll.h"
#include "lcd.h"
#include <stdlib.h>
#include <stdint.h>

int main ()
{
	uint32_t data;  
	char chdata[4];
	PINSEL1|=(1<<24);
	PINSEL0=0;
	PINSEL2=0;
	IODIR0=0x0fffffff;   // set Port0 as output
	lcd_init ();    // initialise LCD
	pll_init();     // initialise clocks
	VPBDIV=0x01;    // setting Pclk at 60 MHz
	while (1)
	{
		AD0CR=(1<<1)|(14<<8)|(1<<21); // select AD0.1, 4 MHz clock, PDN=1
		lcd_delay ();
		AD0CR|= (1<<24);
		while (!(AD0GDR&(1<<31)));   // wait untill DONE bit is set
		data=((AD0GDR>>6)&0x3ff);   // get the data from register
		sprintf (chdata, "%04u", data);    // convert the data 
		decode_cmd (0x80);   // set the cursor to Row 1 ,Col 1
		send_string (chdata);    // display the data
   }
}